Subject: Re: [NNTP] Command to list wanted groups for transit peers

From: Julien ÉLIE <[email-masked]>
Date: Sun, 09 Dec 2012 14:59:08 +0100

Hi River,

I do not know whether you have advanced a bit on that topic since last year.
Anyway, here are a few links...

> So, most (at least non-binary) peering arrangements include a list of
> groups the server wants to accept.  Usually this is configured by hand,
> but there are automated out-of-band methods to do it automatically (e.g.
> GUP, the Group Update Protocol).

Though not the same, but could be used in a similar way, a draft
for Dynamic Feed Adjustment was published a decade ago:
    http://www.eyrie.org/~eagle/nntp/drafts/draft-court-dynfeed-01.txt

> I think a better way to do it would be a new command, which would list
> the groups the server wants to accept as a wildmat.  For instance:
> 
> S: 200 Server ready.
> C: CAPABILITIES
> S: 101 Capabilities list follows.
> S: WANTGROUPS
> S: ...
> S: .
> C: WANTGROUPS
> S: 2xx List of groups follows.
> S: *
> S: @alt.sex.*
> S: @*.bina*
> S: de.bina*
> S: !uk.test
> S: .

It would also need adding the maximum article size or things like that,
possibly related to each line returned by the command.

> This would be an "extended" wildmat like INN uses; I don't think @ is
> available in the RFC 3977 wildmats.
>
> Thoughts?

It could also be a new keyword to the LIST command.

In case it could help, here is a thread we had in December 2009
in news.software.nntp:

    https://groups.google.com/forum/?hl=fr&fromgroups=#!topic/news.software.nntp/fgX4tUk0tGM

"Proposal for a standardized LIST MOTD command"
Message-ID: <[email-masked]>
Message-ID: <[email-masked]>
...

[Paolo Amori]
LIST MOTD (without argument)

should/must include several data about the server (ie. Tech Contact, Legal 
Contact (the was requested me by the italian police: how can i find the one 
who maintains an NNTP site using *only* the server itself?), Max Article 
Size (and other newsfeeds flags), Web site). They should be shown in a 
standardized way in order to allow people to easily understand them. 
It could also be used as a standardized way show peering data (but a 
standard doesn't exist at the moment)

i'm thinking about somewhat like this

------
Path:                aioe.org
Primary-Host:        nntp.aioe.org
Backup-Host:        news.aioe.org
Accept-From:        news-out.aioe.org
Send-To:                news-in.aioe.org
Tech-Contact:        [email-masked]
Abuse-Contact:        [email-masked]
Support-Group:          news://aioe.news.helpdesk
Legal-Contact:        **************** (in order to avoid spam here)
Location:                Holland, EU
Documentation:        http://www.aioe.org/
Max-Article-Size:        32768
Groups:                All except binaries (or an uwildmat string)
------

LIST MOTD <GROUP>

should include the manifesto of each group (they'are collected so it should 
be easy to find them, i suppose)

imho, it's a need.
I've about 40 peers, each one with different peering data. Sometimes, data 
are subjected to changes. There's no common places where peering data can be 
found and many news server don't show these data in their web sites. 
A way to know which parameters are requested by each peer is useful and has 
the advantage to avoid 'third party' configuration errors.

btw, i *strongly* need a standardized way to show which is my legal contact 
(the email address that police *must* use for court orders and legal 
requests). It can be shown inside 'HELP' or 'LIST' output but it's needed an 
official paper that says to use *that* address for such requests.

> Is an RFC considered as an official paper for police?
yes. I've made the same answer to them in an interview room, after three 
hours wait.

> Should ask the question to a policeman :-)
it should be a great idea. Interpol said me that an official statement is 
needed, policeman were convince themselves that newsgroups are 'google 
groups' and so they wanted from me 'apache logs'.

> Well, maybe you need another address than the one for abuse requests...
yes, of course.
Abuse desk is a common email mailbox. Legal contact goes to my mobile phone 
or laptop.

[Jeffrey M. Vinocur]
=> This would require support for nnrpd virtualhosts, FYI.

-- 
Julien ÉLIE

« The hardest thing is to go to sleep at night, when there are so many
  urgent things needing to be done.  A huge gap exists between what we
  know is possible with today's machines and what we have so far been
  able to finish. »  (Donald Knuth)